com.io7m.jtensors

## Interface MatrixReadable3x3FType

- All Superinterfaces:
    MatrixReadable2x2FType, MatrixReadableFType
  All Known Subinterfaces:
    Matrix3x3FType, Matrix4x4FType, MatrixByteBuffered3x3FType, MatrixByteBuffered4x4FType, MatrixDirect3x3FType, MatrixDirect4x4FType, MatrixDirectReadable3x3FType, MatrixDirectReadable4x4FType, MatrixReadable4x4FType, PMatrix3x3FType<T0,T1>, PMatrix4x4FType<T0,T1>, PMatrixByteBuffered3x3FType<T0,T1>, PMatrixByteBuffered4x4FType<T0,T1>, PMatrixDirect3x3FType<T0,T1>, PMatrixDirect4x4FType<T0,T1>, PMatrixDirectReadable3x3FType<T,U>, PMatrixDirectReadable4x4FType<T,U>, PMatrixReadable3x3FType<T,U>, PMatrixReadable4x4FType<T,U>
  All Known Implementing Classes:
    MatrixByteBufferedM3x3F, MatrixByteBufferedM4x4F, MatrixDirectM3x3F, MatrixDirectM4x4F, MatrixHeapArrayM3x3F, MatrixHeapArrayM4x4F, MatrixI3x3F, MatrixI4x4F, PMatrixByteBufferedM3x3F, PMatrixByteBufferedM4x4F, PMatrixDirectM3x3F, PMatrixDirectM4x4F, PMatrixHeapArrayM3x3F, PMatrixHeapArrayM4x4F, PMatrixI3x3F, PMatrixI4x4F

      public interface MatrixReadable3x3FType
      extends MatrixReadable2x2FType

  'Read' interface to 3x3 matrices with `float` elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getR0C2F()`
    `float` | `getR1C2F()`
    `float` | `getR2C0F()`
    `float` | `getR2C1F()`
    `float` | `getR2C2F()`
    `<V extends VectorWritable3FType> void` | `getRow3F(int row, V out)` Retrieve row `row`, saving the result to `out`.
    `<V extends VectorWritable3FType> void` | `getRow3FUnsafe(int row, V out)` Retrieve row `row`, saving the result to `out`.

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadable2x2FType

      `getR0C0F, getR0C1F, getR1C0F, getR1C1F, getRow2F, getRow2FUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadableFType

      `getRowColumnF`

- - ### Method Detail

    - #### getRow3F

          <V extends VectorWritable3FType> void getRow3F(int row,
                                                         V out)

      Retrieve row `row`, saving the result to `out`.
      Type Parameters:
        `V` - The precise type of writable vector.
      Parameters:
        `row` - The index of the row, starting at `0`.
        `out` - The output vector.

    - #### getRow3FUnsafe

          <V extends VectorWritable3FType> void getRow3FUnsafe(int row,
                                                               V out)

      Retrieve row `row`, saving the result to `out`. No bounds checking is performed for `row`, and out-of-bounds values result in undefined behaviour.
      Type Parameters:
        `V` - The precise type of writable vector.
      Parameters:
        `row` - The index of the row, starting at `0`.
        `out` - The output vector.

    - #### getR0C2F

          float getR0C2F()

      Returns:
        The value at row 0, column 2

    - #### getR1C2F

          float getR1C2F()

      Returns:
        The value at row 1, column 2

    - #### getR2C0F

          float getR2C0F()

      Returns:
        The value at row 2, column 0

    - #### getR2C1F

          float getR2C1F()

      Returns:
        The value at row 2, column 1

    - #### getR2C2F

          float getR2C2F()

      Returns:
        The value at row 2, column 2

Copyright © 2015 <code@io7m.com> http://io7m.com